Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000504KdenliveUser Interfacepublic2008-12-21 17:452010-08-11 21:41
Reporterreinhard 
Assigned ToLeHomard 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionwon't fix 
Platform32 bit intel and alikeOSUbuntu LinuxOS Version8.10
Product VersionRecent git 
Target VersionFixed in Version 
Summary0000504: 'Fit zoom to project' don't stretch to full width
Description'Fit zoom to project' don't use the full project/timeline with.
There is still a lot of free space left (~ 50%) on the right side.
TagsNo tags attached.
Build/Install MethodBuild Wizard
Attached Files

- Relationships

-  Notes
(0005301)
LeHomard (developer)
2010-06-22 10:30

The zoom appears to work incrementally (1:1, 1:2, 1:3 etc.), instead of with percentages. So when fitting to project, the closest value that has all the project on the timeline will be selected.

That means that for instance if the length is just slightly longer than the timeline at 1:1 zoom it will zoom to 1:2 and leave lots of free space.

A least this if how I understand it works. If it's the case it would need a refactor of the zomming, enabling the use of percentages, like Gimp for instance.
(0005570)
LeHomard (developer)
2010-08-11 21:41

Closing report, the zooming would need quite a bit a refactoring for such a trivial enhancement.

- Issue History
Date Modified Username Field Change
2008-12-21 17:45 reinhard New Issue
2008-12-21 17:45 reinhard Build/Install Method => Build Wizard
2010-06-22 10:30 LeHomard Note Added: 0005301
2010-06-22 10:30 LeHomard Assigned To => LeHomard
2010-06-22 10:30 LeHomard Status new => feedback
2010-08-11 21:41 LeHomard Note Added: 0005570
2010-08-11 21:41 LeHomard Status feedback => resolved
2010-08-11 21:41 LeHomard Resolution open => won't fix
2010-08-11 21:41 LeHomard Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker